# ChatAI LlamaIndex Examples

This repository contains an example implementation of a minimal RAG application using LlamaIndex and the [ChatAI API](https://kisski.gwdg.de/leistungen/2-02-llm-service/).

Most notably it contains an implementation of vllm_embeddings to enable using the OpenAI like embeddings API of ChatAI, which runs via vLLM in the backend.

## Getting Started

The dependencies are managed via [poetry](https://github.com/python-poetry/poetry) and are set to use Python 3.12. but should also work with older Python versions.

```bash
git clone https://gitlab-ce.gwdg.de/hpc-team/chat-ai-llamaindex-examples
cd chatai-llamaindex-examples
poetry install --no-root

cp .env.example .env
# Add your ChatAI API key to .env

poetry shell
# Run pytest to verify that the API access is working
pytest
# Run the minimal example
python main.py
```
